/* 
 * @Program that Edit Text by Insertion and Replacement
 * EditText.java 
 * Author:-RoseIndia Team
 * Date:-10-Jun-2008
 */

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

public class EditText {

    public static void main(String[] args) throws Exception {
        DocumentBuilderFactory builderFactory = DocumentBuilderFactory.newInstance();
        builderFactory.setValidating(false);

        Document doc = builderFactory.newDocumentBuilder().parse(new File("Document4.xml"));
        new EditText().EditText(doc);
    }

    public void EditText(Document doc) {
        int count;
        int offset;

        Element root = doc.getDocumentElement();
        Element place = (Element) root.getFirstChild();
        Text name = (Text) place.getFirstChild().getFirstChild();
        Text directions = (Text) place.getLastChild().getFirstChild();
        System.out.println("Name before editing is: " + name.getData());
        System.out.println("Direction before editing is: " + directions.getData());

        //Inserting text        
        name.insertData(14, " Rohini ");
        System.out.println("Name after editing is: " + name.getData());

        //Replacing text
        directions.replaceData(13, 6, " Employee Roseindia");
        System.out.println("Direction after editing is: " + directions.getData());
    }
}
